BTerrell Group Blog

System Requirements for Running Sage Accpac ERP Version 5.6

Posted by Meredith Gooch on Mon, Feb 01, 2010

People have been asking us what type of environment they need to have in place to run Sage Accpac most effectively. Check out this PDF for the latest requirements and supported platforms for Sage Accpac 5.6.

- Chris Firra, Sr. Consultant

Tags: Sage Accpac ERP, requirements, platforms, version 5.6